
/* ======================================================================
 *   Copyright (c) 2022-2023 Texas Instruments Incorporated
 *
 *   All rights reserved. Property of Texas Instruments Incorporated.
 *   Restricted rights to use, duplicate or disclose this code are
 *   granted through contract.
 *
 *   The program may not be used without the written permission
 *   of Texas Instruments Incorporated or against the terms and conditions
 *   stipulated in the agreement under which this program has been
 *   supplied.
 * ==================================================================== */

/**
 *  \file     Port_PBcfg.c
 *
 *  \brief    This file contains generated post build configuration file
 *            for PORT MCAL driver
 *
 */

 /**********************************************************************************************************************
    Project: AM263x_MCAL_Configuation
    Date   : 2024-05-22 11:26:10

    This file is generated by EB Tresos
    Do not modify this file, otherwise the software may behave in unexpected way.

 *********************************************************************************************************************/

#define PORT_CFG_SOURCE

/**********************************************************************************************************************
 *  INCLUDES
 *********************************************************************************************************************/
#include "Std_Types.h"
#include "Port.h"
#include "hw_ctrl_core.h"

/**********************************************************************************************************************
 *  VERSION CHECK
 *********************************************************************************************************************/

/*  Version checking  */
#if ((PORT_SW_MAJOR_VERSION != (9U))||(PORT_SW_MINOR_VERSION != (0U)))
   #error "Version numbers of Port_PBcfg.c and Port.h are inconsistent!"
#endif

#if ((PORT_CFG_MAJOR_VERSION != (9U))||(PORT_CFG_MINOR_VERSION != (0U)))
  #error "Version numbers of Port_PBcfg.c and Port_Cfg.h are inconsistent!"
#endif

/**********************************************************************************************************************
 *  LOCAL MACROS
 **********************************************************************************************************************/

/*MCAL: S MR:1.1 <APPROVED> "Reason - Start Section Code is also defined Port.h" */
#define PORT_START_SEC_CONFIG_DATA
/*MCAL: S MR:19.1 <APPROVED> "Reason - This is the format for specifying memory sections" */
#include "Port_MemMap.h"

/*<PORT_PIN_CONFIGURATION>*/
static CONST( Port_PinConfigType, PORT_PBCFG) PortConfigSet_0_PinConfig[] =
{
    {
         .Port_PinId = 80,
         .Port_PullInhibitEnable = PORT_PIN_PULL_INHIBIT_DISABLE,
         .Port_OutputOverride_Ctrl = PORT_PIN_OUTPUT_RETAIN_HW_CTRL,
         .Port_InputOverride_Ctrl = PORT_PIN_INPUT_RETAIN_HW_CTRL,
         .Port_DirectionChangeable = FALSE,
         .Port_PinModeChangeable = FALSE,
         .Port_PinLevelValue = PORT_PIN_LEVEL_LOW,
         .Port_PinDirection = PORT_PIN_IN,
         .Port_PinInitialMode =  PORT_PIN_MODE_GPIOCD,
         .Port_PullTypeSelect = PORT_PIN_PULLTYPE_PULLDOWN,
         .Port_PinHSmasterEnable = FALSE,
         .Port_PinHSmodeEnable = FALSE,
         .Port_InversionSelect = PORT_NONINV,
         .Port_QualifierTypeSelect = PORT_QUALTYPE_DEFAULT,
         .Port_SlewControl = PORT_PIN_SLEWCONTROL_SLOW_SLEW,
         .Port_NumPortModes = 1,
         .Port_PinMode =
         {            [0] =
            {
                .mode = PORT_PIN_MODE_GPIOCD,

                .muxmode = 7,
            },
         },
         .Port_PinDioRegId = (2 - 1U), /* GPIO register index is 0 based */
         .Port_PinDioChannelId = 29,
         .Port_RegOffsetAddr = PING1_EPWM9_A,
         .Port_PinSignalName = (const sint8 *)"GPIOCD_61",
         .Port_PinName        = (const sint8 *)"PIN_G1",
         .Port_PinSetEdgeTrigger = FALSE,
         .Port_PinSelectEdgeTrigger = PORT_RISING_EDGE,
    },
    {
         .Port_PinId = 96,
         .Port_PullInhibitEnable = PORT_PIN_PULL_INHIBIT_DISABLE,
         .Port_OutputOverride_Ctrl = PORT_PIN_OUTPUT_RETAIN_HW_CTRL,
         .Port_InputOverride_Ctrl = PORT_PIN_INPUT_RETAIN_HW_CTRL,
         .Port_DirectionChangeable = FALSE,
         .Port_PinModeChangeable = FALSE,
         .Port_PinLevelValue = PORT_PIN_LEVEL_LOW,
         .Port_PinDirection = PORT_PIN_IN,
         .Port_PinInitialMode =  PORT_PIN_MODE_GPIOCD,
         .Port_PullTypeSelect = PORT_PIN_PULLTYPE_PULLDOWN,
         .Port_PinHSmasterEnable = FALSE,
         .Port_PinHSmodeEnable = FALSE,
         .Port_InversionSelect = PORT_NONINV,
         .Port_QualifierTypeSelect = PORT_QUALTYPE_DEFAULT,
         .Port_SlewControl = PORT_PIN_SLEWCONTROL_SLOW_SLEW,
         .Port_NumPortModes = 1,
         .Port_PinMode =
         {            [0] =
            {
                .mode = PORT_PIN_MODE_GPIOCD,

                .muxmode = 7,
            },
         },
         .Port_PinDioRegId = (2 - 1U), /* GPIO register index is 0 based */
         .Port_PinDioChannelId = 30,
         .Port_RegOffsetAddr = PINJ2_EPWM9_B,
         .Port_PinSignalName = (const sint8 *)"GPIOCD_62",
         .Port_PinName        = (const sint8 *)"PIN_J2",
         .Port_PinSetEdgeTrigger = FALSE,
         .Port_PinSelectEdgeTrigger = PORT_RISING_EDGE,
    },
    {
         .Port_PinId = 69,
         .Port_PullInhibitEnable = PORT_PIN_PULL_INHIBIT_DISABLE,
         .Port_OutputOverride_Ctrl = PORT_PIN_OUTPUT_RETAIN_HW_CTRL,
         .Port_InputOverride_Ctrl = PORT_PIN_INPUT_RETAIN_HW_CTRL,
         .Port_DirectionChangeable = FALSE,
         .Port_PinModeChangeable = FALSE,
         .Port_PinLevelValue = PORT_PIN_LEVEL_LOW,
         .Port_PinDirection = PORT_PIN_IN,
         .Port_PinInitialMode =  PORT_PIN_MODE_GPIOCD,
         .Port_PullTypeSelect = PORT_PIN_PULLTYPE_PULLDOWN,
         .Port_PinHSmasterEnable = FALSE,
         .Port_PinHSmodeEnable = FALSE,
         .Port_InversionSelect = PORT_NONINV,
         .Port_QualifierTypeSelect = PORT_QUALTYPE_DEFAULT,
         .Port_SlewControl = PORT_PIN_SLEWCONTROL_SLOW_SLEW,
         .Port_NumPortModes = 1,
         .Port_PinMode =
         {            [0] =
            {
                .mode = PORT_PIN_MODE_GPIOEF,

                .muxmode = 7,
            },
         },
         .Port_PinDioRegId = (3 - 1U), /* GPIO register index is 0 based */
         .Port_PinDioChannelId = 5,
         .Port_RegOffsetAddr = PINE2_EPWM3_A,
         .Port_PinSignalName = (const sint8 *)"GPIOEF_69",
         .Port_PinName        = (const sint8 *)"PIN_K4",
         .Port_PinSetEdgeTrigger = FALSE,
         .Port_PinSelectEdgeTrigger = PORT_RISING_EDGE,
    },
    {
         .Port_PinId = 21,
         .Port_PullInhibitEnable = PORT_PIN_PULL_INHIBIT_DISABLE,
         .Port_OutputOverride_Ctrl = PORT_PIN_OUTPUT_RETAIN_HW_CTRL,
         .Port_InputOverride_Ctrl = PORT_PIN_INPUT_RETAIN_HW_CTRL,
         .Port_DirectionChangeable = FALSE,
         .Port_PinModeChangeable = FALSE,
         .Port_PinLevelValue = PORT_PIN_LEVEL_LOW,
         .Port_PinDirection = PORT_PIN_IN,
         .Port_PinInitialMode =  PORT_PIN_MODE_GPIOI,
         .Port_PullTypeSelect = PORT_PIN_PULLTYPE_PULLDOWN,
         .Port_PinHSmasterEnable = FALSE,
         .Port_PinHSmodeEnable = FALSE,
         .Port_InversionSelect = PORT_INVTYPE_DEFAULT,
         .Port_QualifierTypeSelect = PORT_QUALTYPE_DEFAULT,
         .Port_SlewControl = PORT_PIN_SLEWCONTROL_SLOW_SLEW,
         .Port_NumPortModes = 1,
         .Port_PinMode =
         {            [0] =
            {
                .mode = PORT_PIN_MODE_GPIOI,

                .muxmode = 7,
            },
         },
         .Port_PinDioRegId = (5 - 1U), /* GPIO register index is 0 based */
         .Port_PinDioChannelId = 6,
         .Port_RegOffsetAddr = PINB13_I2C0_SDA,
         .Port_PinSignalName = (const sint8 *)"GPIOI_134",
         .Port_PinName        = (const sint8 *)"PIN_B13",
         .Port_PinSetEdgeTrigger = FALSE,
         .Port_PinSelectEdgeTrigger = BOTH_EDGE,
    },
    {
         .Port_PinId = 49,
         .Port_PullInhibitEnable = PORT_PIN_PULL_INHIBIT_DISABLE,
         .Port_OutputOverride_Ctrl = PORT_PIN_OUTPUT_RETAIN_HW_CTRL,
         .Port_InputOverride_Ctrl = PORT_PIN_INPUT_RETAIN_HW_CTRL,
         .Port_DirectionChangeable = FALSE,
         .Port_PinModeChangeable = FALSE,
         .Port_PinLevelValue = PORT_PIN_LEVEL_HIGH,
         .Port_PinDirection = PORT_PIN_DEFAULT,
         .Port_PinInitialMode =  PORT_PIN_MODE_I2C2,
         .Port_PullTypeSelect = PORT_PIN_PULLTYPE_PULLDOWN,
         .Port_PinHSmasterEnable = FALSE,
         .Port_PinHSmodeEnable = FALSE,
         .Port_InversionSelect = PORT_INVTYPE_DEFAULT,
         .Port_QualifierTypeSelect = PORT_QUALTYPE_DEFAULT,
         .Port_SlewControl = PORT_PIN_SLEWCONTROL_SLOW_SLEW,
         .Port_NumPortModes = 1,
         .Port_PinMode =
         {            [0] =
            {
                .mode = PORT_PIN_MODE_I2C2,

                .muxmode = 1,
            },
         },
         .Port_PinDioRegId = PORT_DIO_INVALID_REG_ID, /* GPIO register index is 0 based */
         .Port_PinDioChannelId = PORT_DIO_INVALID_REG_ID,
         .Port_RegOffsetAddr = PINC7_UART0_RTSN,
         .Port_PinSignalName = (const sint8 *)"I2C2_SCL",
         .Port_PinName        = (const sint8 *)"PIN_C7",
         .Port_PinSetEdgeTrigger = FALSE,
         .Port_PinSelectEdgeTrigger = PORT_RISING_EDGE,
    },
    {
         .Port_PinId = 32,
         .Port_PullInhibitEnable = PORT_PIN_PULL_INHIBIT_DISABLE,
         .Port_OutputOverride_Ctrl = PORT_PIN_OUTPUT_RETAIN_HW_CTRL,
         .Port_InputOverride_Ctrl = PORT_PIN_INPUT_RETAIN_HW_CTRL,
         .Port_DirectionChangeable = FALSE,
         .Port_PinModeChangeable = FALSE,
         .Port_PinLevelValue = PORT_PIN_LEVEL_HIGH,
         .Port_PinDirection = PORT_PIN_DEFAULT,
         .Port_PinInitialMode =  PORT_PIN_MODE_I2C2,
         .Port_PullTypeSelect = PORT_PIN_PULLTYPE_PULLDOWN,
         .Port_PinHSmasterEnable = FALSE,
         .Port_PinHSmodeEnable = FALSE,
         .Port_InversionSelect = PORT_INVTYPE_DEFAULT,
         .Port_QualifierTypeSelect = PORT_QUALTYPE_DEFAULT,
         .Port_SlewControl = PORT_PIN_SLEWCONTROL_SLOW_SLEW,
         .Port_NumPortModes = 1,
         .Port_PinMode =
         {            [0] =
            {
                .mode = PORT_PIN_MODE_I2C2,

                .muxmode = 1,
            },
         },
         .Port_PinDioRegId = PORT_DIO_INVALID_REG_ID, /* GPIO register index is 0 based */
         .Port_PinDioChannelId = PORT_DIO_INVALID_REG_ID,
         .Port_RegOffsetAddr = PINB7_UART0_CTSn,
         .Port_PinSignalName = (const sint8 *)"I2C2_SDA",
         .Port_PinName        = (const sint8 *)"PIN_B7",
         .Port_PinSetEdgeTrigger = FALSE,
         .Port_PinSelectEdgeTrigger = PORT_RISING_EDGE,
    },
    {
         .Port_PinId = 2,
         .Port_PullInhibitEnable = PORT_PIN_PULL_INHIBIT_ENABLE,
         .Port_OutputOverride_Ctrl = PORT_PIN_OUTPUT_RETAIN_HW_CTRL,
         .Port_InputOverride_Ctrl = PORT_PIN_INPUT_RETAIN_HW_CTRL,
         .Port_DirectionChangeable = FALSE,
         .Port_PinModeChangeable = FALSE,
         .Port_PinLevelValue = PORT_PIN_LEVEL_HIGH,
         .Port_PinDirection = PORT_PIN_DEFAULT,
         .Port_PinInitialMode =  PORT_PIN_MODE_SPI0,
         .Port_PullTypeSelect = PORT_PIN_PULLTYPE_PULLDOWN,
         .Port_PinHSmasterEnable = FALSE,
         .Port_PinHSmodeEnable = FALSE,
         .Port_InversionSelect = PORT_INVTYPE_DEFAULT,
         .Port_QualifierTypeSelect = PORT_QUALTYPE_DEFAULT,
         .Port_SlewControl = PORT_PIN_SLEWCONTROL_SLOW_SLEW,
         .Port_NumPortModes = 1,
         .Port_PinMode =
         {            [0] =
            {
                .mode = PORT_PIN_MODE_SPI0,

                .muxmode = 0,
            },
         },
         .Port_PinDioRegId = PORT_DIO_INVALID_REG_ID, /* GPIO register index is 0 based */
         .Port_PinDioChannelId = PORT_DIO_INVALID_REG_ID,
         .Port_RegOffsetAddr = PINA11_SPI0_CLK,
         .Port_PinSignalName = (const sint8 *)"SPI0_CLK",
         .Port_PinName        = (const sint8 *)"PIN_A11",
         .Port_PinSetEdgeTrigger = FALSE,
         .Port_PinSelectEdgeTrigger = PORT_RISING_EDGE,
    },
    {
         .Port_PinId = 36,
         .Port_PullInhibitEnable = PORT_PIN_PULL_INHIBIT_ENABLE,
         .Port_OutputOverride_Ctrl = PORT_PIN_OUTPUT_RETAIN_HW_CTRL,
         .Port_InputOverride_Ctrl = PORT_PIN_INPUT_RETAIN_HW_CTRL,
         .Port_DirectionChangeable = FALSE,
         .Port_PinModeChangeable = FALSE,
         .Port_PinLevelValue = PORT_PIN_LEVEL_HIGH,
         .Port_PinDirection = PORT_PIN_DEFAULT,
         .Port_PinInitialMode =  PORT_PIN_MODE_SPI0,
         .Port_PullTypeSelect = PORT_PIN_PULLTYPE_PULLUP,
         .Port_PinHSmasterEnable = FALSE,
         .Port_PinHSmodeEnable = FALSE,
         .Port_InversionSelect = PORT_INVTYPE_DEFAULT,
         .Port_QualifierTypeSelect = PORT_QUALTYPE_DEFAULT,
         .Port_SlewControl = PORT_PIN_SLEWCONTROL_SLOW_SLEW,
         .Port_NumPortModes = 1,
         .Port_PinMode =
         {            [0] =
            {
                .mode = PORT_PIN_MODE_SPI0,

                .muxmode = 0,
            },
         },
         .Port_PinDioRegId = PORT_DIO_INVALID_REG_ID, /* GPIO register index is 0 based */
         .Port_PinDioChannelId = PORT_DIO_INVALID_REG_ID,
         .Port_RegOffsetAddr = PINC10_SPI0_D0,
         .Port_PinSignalName = (const sint8 *)"SPI0_D0",
         .Port_PinName        = (const sint8 *)"PIN_C10",
         .Port_PinSetEdgeTrigger = FALSE,
         .Port_PinSelectEdgeTrigger = PORT_RISING_EDGE,
    },
    {
         .Port_PinId = 19,
         .Port_PullInhibitEnable = PORT_PIN_PULL_INHIBIT_ENABLE,
         .Port_OutputOverride_Ctrl = PORT_PIN_OUTPUT_RETAIN_HW_CTRL,
         .Port_InputOverride_Ctrl = PORT_PIN_INPUT_RETAIN_HW_CTRL,
         .Port_DirectionChangeable = FALSE,
         .Port_PinModeChangeable = FALSE,
         .Port_PinLevelValue = PORT_PIN_LEVEL_HIGH,
         .Port_PinDirection = PORT_PIN_DEFAULT,
         .Port_PinInitialMode =  PORT_PIN_MODE_SPI0,
         .Port_PullTypeSelect = PORT_PIN_PULLTYPE_PULLUP,
         .Port_PinHSmasterEnable = FALSE,
         .Port_PinHSmodeEnable = FALSE,
         .Port_InversionSelect = PORT_INVTYPE_DEFAULT,
         .Port_QualifierTypeSelect = PORT_QUALTYPE_DEFAULT,
         .Port_SlewControl = PORT_PIN_SLEWCONTROL_SLOW_SLEW,
         .Port_NumPortModes = 1,
         .Port_PinMode =
         {            [0] =
            {
                .mode = PORT_PIN_MODE_SPI0,

                .muxmode = 0,
            },
         },
         .Port_PinDioRegId = PORT_DIO_INVALID_REG_ID, /* GPIO register index is 0 based */
         .Port_PinDioChannelId = PORT_DIO_INVALID_REG_ID,
         .Port_RegOffsetAddr = PINB11_SPI0_D1,
         .Port_PinSignalName = (const sint8 *)"SPI0_D1",
         .Port_PinName        = (const sint8 *)"PIN_B11",
         .Port_PinSetEdgeTrigger = FALSE,
         .Port_PinSelectEdgeTrigger = PORT_RISING_EDGE,
    },
    {
         .Port_PinId = 37,
         .Port_PullInhibitEnable = PORT_PIN_PULL_INHIBIT_ENABLE,
         .Port_OutputOverride_Ctrl = PORT_PIN_OUTPUT_RETAIN_HW_CTRL,
         .Port_InputOverride_Ctrl = PORT_PIN_INPUT_RETAIN_HW_CTRL,
         .Port_DirectionChangeable = FALSE,
         .Port_PinModeChangeable = FALSE,
         .Port_PinLevelValue = PORT_PIN_LEVEL_HIGH,
         .Port_PinDirection = PORT_PIN_DEFAULT,
         .Port_PinInitialMode =  PORT_PIN_MODE_SPI0,
         .Port_PullTypeSelect = PORT_PIN_PULLTYPE_PULLUP,
         .Port_PinHSmasterEnable = FALSE,
         .Port_PinHSmodeEnable = FALSE,
         .Port_InversionSelect = PORT_INVTYPE_DEFAULT,
         .Port_QualifierTypeSelect = PORT_QUALTYPE_DEFAULT,
         .Port_SlewControl = PORT_PIN_SLEWCONTROL_SLOW_SLEW,
         .Port_NumPortModes = 1,
         .Port_PinMode =
         {            [0] =
            {
                .mode = PORT_PIN_MODE_SPI0,

                .muxmode = 0,
            },
         },
         .Port_PinDioRegId = PORT_DIO_INVALID_REG_ID, /* GPIO register index is 0 based */
         .Port_PinDioChannelId = PORT_DIO_INVALID_REG_ID,
         .Port_RegOffsetAddr = PINC11_SPI0_CS0,
         .Port_PinSignalName = (const sint8 *)"SPI0_CS0",
         .Port_PinName        = (const sint8 *)"PIN_C11",
         .Port_PinSetEdgeTrigger = FALSE,
         .Port_PinSelectEdgeTrigger = PORT_RISING_EDGE,
    },
    {
         .Port_PinId = 1,
         .Port_PullInhibitEnable = PORT_PIN_PULL_INHIBIT_ENABLE,
         .Port_OutputOverride_Ctrl = PORT_PIN_OUTPUT_RETAIN_HW_CTRL,
         .Port_InputOverride_Ctrl = PORT_PIN_INPUT_RETAIN_HW_CTRL,
         .Port_DirectionChangeable = FALSE,
         .Port_PinModeChangeable = FALSE,
         .Port_PinLevelValue = PORT_PIN_LEVEL_HIGH,
         .Port_PinDirection = PORT_PIN_DEFAULT,
         .Port_PinInitialMode =  PORT_PIN_MODE_SPI1,
         .Port_PullTypeSelect = PORT_PIN_PULLTYPE_PULLDOWN,
         .Port_PinHSmasterEnable = FALSE,
         .Port_PinHSmodeEnable = FALSE,
         .Port_InversionSelect = PORT_INVTYPE_DEFAULT,
         .Port_QualifierTypeSelect = PORT_QUALTYPE_DEFAULT,
         .Port_SlewControl = PORT_PIN_SLEWCONTROL_SLOW_SLEW,
         .Port_NumPortModes = 1,
         .Port_PinMode =
         {            [0] =
            {
                .mode = PORT_PIN_MODE_SPI1,

                .muxmode = 0,
            },
         },
         .Port_PinDioRegId = PORT_DIO_INVALID_REG_ID, /* GPIO register index is 0 based */
         .Port_PinDioChannelId = PORT_DIO_INVALID_REG_ID,
         .Port_RegOffsetAddr = PINA10_SPI1_CLK,
         .Port_PinSignalName = (const sint8 *)"SPI1_CLK",
         .Port_PinName        = (const sint8 *)"PIN_A10",
         .Port_PinSetEdgeTrigger = FALSE,
         .Port_PinSelectEdgeTrigger = PORT_RISING_EDGE,
    },
    {
         .Port_PinId = 18,
         .Port_PullInhibitEnable = PORT_PIN_PULL_INHIBIT_ENABLE,
         .Port_OutputOverride_Ctrl = PORT_PIN_OUTPUT_RETAIN_HW_CTRL,
         .Port_InputOverride_Ctrl = PORT_PIN_INPUT_RETAIN_HW_CTRL,
         .Port_DirectionChangeable = FALSE,
         .Port_PinModeChangeable = FALSE,
         .Port_PinLevelValue = PORT_PIN_LEVEL_HIGH,
         .Port_PinDirection = PORT_PIN_DEFAULT,
         .Port_PinInitialMode =  PORT_PIN_MODE_SPI1,
         .Port_PullTypeSelect = PORT_PIN_PULLTYPE_PULLUP,
         .Port_PinHSmasterEnable = FALSE,
         .Port_PinHSmodeEnable = FALSE,
         .Port_InversionSelect = PORT_INVTYPE_DEFAULT,
         .Port_QualifierTypeSelect = PORT_QUALTYPE_DEFAULT,
         .Port_SlewControl = PORT_PIN_SLEWCONTROL_SLOW_SLEW,
         .Port_NumPortModes = 1,
         .Port_PinMode =
         {            [0] =
            {
                .mode = PORT_PIN_MODE_SPI1,

                .muxmode = 0,
            },
         },
         .Port_PinDioRegId = PORT_DIO_INVALID_REG_ID, /* GPIO register index is 0 based */
         .Port_PinDioChannelId = PORT_DIO_INVALID_REG_ID,
         .Port_RegOffsetAddr = PINB10_SPI1_D0,
         .Port_PinSignalName = (const sint8 *)"SPI1_D0",
         .Port_PinName        = (const sint8 *)"PIN_B10",
         .Port_PinSetEdgeTrigger = FALSE,
         .Port_PinSelectEdgeTrigger = PORT_RISING_EDGE,
    },
    {
         .Port_PinId = 64,
         .Port_PullInhibitEnable = PORT_PIN_PULL_INHIBIT_ENABLE,
         .Port_OutputOverride_Ctrl = PORT_PIN_OUTPUT_RETAIN_HW_CTRL,
         .Port_InputOverride_Ctrl = PORT_PIN_INPUT_RETAIN_HW_CTRL,
         .Port_DirectionChangeable = FALSE,
         .Port_PinModeChangeable = FALSE,
         .Port_PinLevelValue = PORT_PIN_LEVEL_HIGH,
         .Port_PinDirection = PORT_PIN_DEFAULT,
         .Port_PinInitialMode =  PORT_PIN_MODE_SPI1,
         .Port_PullTypeSelect = PORT_PIN_PULLTYPE_PULLUP,
         .Port_PinHSmasterEnable = FALSE,
         .Port_PinHSmodeEnable = FALSE,
         .Port_InversionSelect = PORT_INVTYPE_DEFAULT,
         .Port_QualifierTypeSelect = PORT_QUALTYPE_DEFAULT,
         .Port_SlewControl = PORT_PIN_SLEWCONTROL_SLOW_SLEW,
         .Port_NumPortModes = 1,
         .Port_PinMode =
         {            [0] =
            {
                .mode = PORT_PIN_MODE_SPI1,

                .muxmode = 0,
            },
         },
         .Port_PinDioRegId = PORT_DIO_INVALID_REG_ID, /* GPIO register index is 0 based */
         .Port_PinDioChannelId = PORT_DIO_INVALID_REG_ID,
         .Port_RegOffsetAddr = PIND9_SPI1_D1,
         .Port_PinSignalName = (const sint8 *)"SPI1_D1",
         .Port_PinName        = (const sint8 *)"PIN_D9",
         .Port_PinSetEdgeTrigger = FALSE,
         .Port_PinSelectEdgeTrigger = PORT_RISING_EDGE,
    },
    {
         .Port_PinId = 51,
         .Port_PullInhibitEnable = PORT_PIN_PULL_INHIBIT_ENABLE,
         .Port_OutputOverride_Ctrl = PORT_PIN_OUTPUT_RETAIN_HW_CTRL,
         .Port_InputOverride_Ctrl = PORT_PIN_INPUT_RETAIN_HW_CTRL,
         .Port_DirectionChangeable = FALSE,
         .Port_PinModeChangeable = FALSE,
         .Port_PinLevelValue = PORT_PIN_LEVEL_HIGH,
         .Port_PinDirection = PORT_PIN_DEFAULT,
         .Port_PinInitialMode =  PORT_PIN_MODE_SPI1,
         .Port_PullTypeSelect = PORT_PIN_PULLTYPE_PULLUP,
         .Port_PinHSmasterEnable = FALSE,
         .Port_PinHSmodeEnable = FALSE,
         .Port_InversionSelect = PORT_INVTYPE_DEFAULT,
         .Port_QualifierTypeSelect = PORT_QUALTYPE_DEFAULT,
         .Port_SlewControl = PORT_PIN_SLEWCONTROL_FAST_SLEW,
         .Port_NumPortModes = 1,
         .Port_PinMode =
         {            [0] =
            {
                .mode = PORT_PIN_MODE_SPI1,

                .muxmode = 0,
            },
         },
         .Port_PinDioRegId = PORT_DIO_INVALID_REG_ID, /* GPIO register index is 0 based */
         .Port_PinDioChannelId = PORT_DIO_INVALID_REG_ID,
         .Port_RegOffsetAddr = PINC9_SPI1_CS0,
         .Port_PinSignalName = (const sint8 *)"SPI1_CS0",
         .Port_PinName        = (const sint8 *)"PIN_C9",
         .Port_PinSetEdgeTrigger = FALSE,
         .Port_PinSelectEdgeTrigger = PORT_RISING_EDGE,
    },
    {
         .Port_PinId = 22,
         .Port_PullInhibitEnable = PORT_PIN_PULL_INHIBIT_ENABLE,
         .Port_OutputOverride_Ctrl = PORT_PIN_OUTPUT_RETAIN_HW_CTRL,
         .Port_InputOverride_Ctrl = PORT_PIN_INPUT_RETAIN_HW_CTRL,
         .Port_DirectionChangeable = FALSE,
         .Port_PinModeChangeable = FALSE,
         .Port_PinLevelValue = PORT_PIN_LEVEL_HIGH,
         .Port_PinDirection = PORT_PIN_DEFAULT,
         .Port_PinInitialMode =  PORT_PIN_MODE_SPI4,
         .Port_PullTypeSelect = PORT_PIN_PULLTYPE_PULLDOWN,
         .Port_PinHSmasterEnable = FALSE,
         .Port_PinHSmodeEnable = FALSE,
         .Port_InversionSelect = PORT_INVTYPE_DEFAULT,
         .Port_QualifierTypeSelect = PORT_QUALTYPE_DEFAULT,
         .Port_SlewControl = PORT_PIN_SLEWCONTROL_SLOW_SLEW,
         .Port_NumPortModes = 1,
         .Port_PinMode =
         {            [0] =
            {
                .mode = PORT_PIN_MODE_SPI4,

                .muxmode = 3,
            },
         },
         .Port_PinDioRegId = PORT_DIO_INVALID_REG_ID, /* GPIO register index is 0 based */
         .Port_PinDioChannelId = PORT_DIO_INVALID_REG_ID,
         .Port_RegOffsetAddr = PINB14_EQEP0_A,
         .Port_PinSignalName = (const sint8 *)"SPI4_CLK",
         .Port_PinName        = (const sint8 *)"PIN_B14",
         .Port_PinSetEdgeTrigger = FALSE,
         .Port_PinSelectEdgeTrigger = PORT_RISING_EDGE,
    },
    {
         .Port_PinId = 38,
         .Port_PullInhibitEnable = PORT_PIN_PULL_INHIBIT_ENABLE,
         .Port_OutputOverride_Ctrl = PORT_PIN_OUTPUT_RETAIN_HW_CTRL,
         .Port_InputOverride_Ctrl = PORT_PIN_INPUT_RETAIN_HW_CTRL,
         .Port_DirectionChangeable = FALSE,
         .Port_PinModeChangeable = FALSE,
         .Port_PinLevelValue = PORT_PIN_LEVEL_HIGH,
         .Port_PinDirection = PORT_PIN_DEFAULT,
         .Port_PinInitialMode =  PORT_PIN_MODE_SPI4,
         .Port_PullTypeSelect = PORT_PIN_PULLTYPE_PULLUP,
         .Port_PinHSmasterEnable = FALSE,
         .Port_PinHSmodeEnable = FALSE,
         .Port_InversionSelect = PORT_INVTYPE_DEFAULT,
         .Port_QualifierTypeSelect = PORT_QUALTYPE_DEFAULT,
         .Port_SlewControl = PORT_PIN_SLEWCONTROL_SLOW_SLEW,
         .Port_NumPortModes = 1,
         .Port_PinMode =
         {            [0] =
            {
                .mode = PORT_PIN_MODE_SPI4,

                .muxmode = 3,
            },
         },
         .Port_PinDioRegId = PORT_DIO_INVALID_REG_ID, /* GPIO register index is 0 based */
         .Port_PinDioChannelId = PORT_DIO_INVALID_REG_ID,
         .Port_RegOffsetAddr = PINC12_EQEP0_S,
         .Port_PinSignalName = (const sint8 *)"SPI4_D0",
         .Port_PinName        = (const sint8 *)"PIN_C12",
         .Port_PinSetEdgeTrigger = FALSE,
         .Port_PinSelectEdgeTrigger = PORT_RISING_EDGE,
    },
    {
         .Port_PinId = 53,
         .Port_PullInhibitEnable = PORT_PIN_PULL_INHIBIT_ENABLE,
         .Port_OutputOverride_Ctrl = PORT_PIN_OUTPUT_RETAIN_HW_CTRL,
         .Port_InputOverride_Ctrl = PORT_PIN_INPUT_RETAIN_HW_CTRL,
         .Port_DirectionChangeable = FALSE,
         .Port_PinModeChangeable = FALSE,
         .Port_PinLevelValue = PORT_PIN_LEVEL_HIGH,
         .Port_PinDirection = PORT_PIN_DEFAULT,
         .Port_PinInitialMode =  PORT_PIN_MODE_SPI4,
         .Port_PullTypeSelect = PORT_PIN_PULLTYPE_PULLUP,
         .Port_PinHSmasterEnable = FALSE,
         .Port_PinHSmodeEnable = FALSE,
         .Port_InversionSelect = PORT_INVTYPE_DEFAULT,
         .Port_QualifierTypeSelect = PORT_QUALTYPE_DEFAULT,
         .Port_SlewControl = PORT_PIN_SLEWCONTROL_SLOW_SLEW,
         .Port_NumPortModes = 1,
         .Port_PinMode =
         {            [0] =
            {
                .mode = PORT_PIN_MODE_SPI4,

                .muxmode = 3,
            },
         },
         .Port_PinDioRegId = PORT_DIO_INVALID_REG_ID, /* GPIO register index is 0 based */
         .Port_PinDioChannelId = PORT_DIO_INVALID_REG_ID,
         .Port_RegOffsetAddr = PIND11_EQEP0_I,
         .Port_PinSignalName = (const sint8 *)"SPI4_D1",
         .Port_PinName        = (const sint8 *)"PIN_D11",
         .Port_PinSetEdgeTrigger = FALSE,
         .Port_PinSelectEdgeTrigger = PORT_RISING_EDGE,
    },
    {
         .Port_PinId = 5,
         .Port_PullInhibitEnable = PORT_PIN_PULL_INHIBIT_ENABLE,
         .Port_OutputOverride_Ctrl = PORT_PIN_OUTPUT_RETAIN_HW_CTRL,
         .Port_InputOverride_Ctrl = PORT_PIN_INPUT_RETAIN_HW_CTRL,
         .Port_DirectionChangeable = FALSE,
         .Port_PinModeChangeable = FALSE,
         .Port_PinLevelValue = PORT_PIN_LEVEL_HIGH,
         .Port_PinDirection = PORT_PIN_DEFAULT,
         .Port_PinInitialMode =  PORT_PIN_MODE_SPI4,
         .Port_PullTypeSelect = PORT_PIN_PULLTYPE_PULLUP,
         .Port_PinHSmasterEnable = FALSE,
         .Port_PinHSmodeEnable = FALSE,
         .Port_InversionSelect = PORT_INVTYPE_DEFAULT,
         .Port_QualifierTypeSelect = PORT_QUALTYPE_DEFAULT,
         .Port_SlewControl = PORT_PIN_SLEWCONTROL_SLOW_SLEW,
         .Port_NumPortModes = 1,
         .Port_PinMode =
         {            [0] =
            {
                .mode = PORT_PIN_MODE_SPI4,

                .muxmode = 3,
            },
         },
         .Port_PinDioRegId = PORT_DIO_INVALID_REG_ID, /* GPIO register index is 0 based */
         .Port_PinDioChannelId = PORT_DIO_INVALID_REG_ID,
         .Port_RegOffsetAddr = PINA14_EQEP0_B,
         .Port_PinSignalName = (const sint8 *)"SPI4_CS0",
         .Port_PinName        = (const sint8 *)"PIN_A14",
         .Port_PinSetEdgeTrigger = FALSE,
         .Port_PinSelectEdgeTrigger = PORT_RISING_EDGE,
    },
    {
         .Port_PinId = 13,
         .Port_PullInhibitEnable = PORT_PIN_PULL_INHIBIT_DEFAULT,
         .Port_OutputOverride_Ctrl = PORT_PIN_OUTPUT_RETAIN_HW_CTRL,
         .Port_InputOverride_Ctrl = PORT_PIN_INPUT_RETAIN_HW_CTRL,
         .Port_DirectionChangeable = FALSE,
         .Port_PinModeChangeable = TRUE,
         .Port_PinLevelValue = PORT_PIN_LEVEL_HIGH,
         .Port_PinDirection = PORT_PIN_OUT,
         .Port_PinInitialMode =  PORT_PIN_MODE_LIN0,
         .Port_PullTypeSelect = PORT_PIN_PULLTYPE_DEFAULT,
         .Port_PinHSmasterEnable = TRUE,
         .Port_PinHSmodeEnable = FALSE,
         .Port_InversionSelect = PORT_NONINV,
         .Port_QualifierTypeSelect = PORT_QUALTYPE_DEFAULT,
         .Port_SlewControl = PORT_PIN_SLEWCONTROL_SLOW_SLEW,
         .Port_NumPortModes = 1,
         .Port_PinMode =
         {            [0] =
            {
                .mode = PORT_PIN_MODE_LIN0,

                .muxmode = 1,
            },
         },
         .Port_PinDioRegId = PORT_DIO_INVALID_REG_ID, /* GPIO register index is 0 based */
         .Port_PinDioChannelId = PORT_DIO_INVALID_REG_ID,
         .Port_RegOffsetAddr = PINA6_UART0_TXD,
         .Port_PinSignalName = (const sint8 *)"GPIOAB_28",
         .Port_PinName        = (const sint8 *)"PIN_A6",
         .Port_PinSetEdgeTrigger = FALSE,
         .Port_PinSelectEdgeTrigger = PORT_RISING_EDGE,
    },
    {
         .Port_PinId = 14,
         .Port_PullInhibitEnable = PORT_PIN_PULL_INHIBIT_DEFAULT,
         .Port_OutputOverride_Ctrl = PORT_PIN_OUTPUT_RETAIN_HW_CTRL,
         .Port_InputOverride_Ctrl = PORT_PIN_INPUT_RETAIN_HW_CTRL,
         .Port_DirectionChangeable = TRUE,
         .Port_PinModeChangeable = TRUE,
         .Port_PinLevelValue = PORT_PIN_LEVEL_HIGH,
         .Port_PinDirection = PORT_PIN_IN,
         .Port_PinInitialMode =  PORT_PIN_MODE_LIN0,
         .Port_PullTypeSelect = PORT_PIN_PULLTYPE_PULLUP,
         .Port_PinHSmasterEnable = FALSE,
         .Port_PinHSmodeEnable = FALSE,
         .Port_InversionSelect = PORT_NONINV,
         .Port_QualifierTypeSelect = PORT_QUALTYPE_DEFAULT,
         .Port_SlewControl = PORT_PIN_SLEWCONTROL_SLOW_SLEW,
         .Port_NumPortModes = 1,
         .Port_PinMode =
         {            [0] =
            {
                .mode = PORT_PIN_MODE_LIN0,

                .muxmode = 1,
            },
         },
         .Port_PinDioRegId = PORT_DIO_INVALID_REG_ID, /* GPIO register index is 0 based */
         .Port_PinDioChannelId = PORT_DIO_INVALID_REG_ID,
         .Port_RegOffsetAddr = PINA7_UART0_RXD,
         .Port_PinSignalName = (const sint8 *)"GPIOAB_27",
         .Port_PinName        = (const sint8 *)"PIN_A7",
         .Port_PinSetEdgeTrigger = FALSE,
         .Port_PinSelectEdgeTrigger = PORT_RISING_EDGE,
    },
    {
         .Port_PinId = 114,
         .Port_PullInhibitEnable = PORT_PIN_PULL_INHIBIT_DISABLE,
         .Port_OutputOverride_Ctrl = PORT_PIN_OUTPUT_RETAIN_HW_CTRL,
         .Port_InputOverride_Ctrl = PORT_PIN_INPUT_RETAIN_HW_CTRL,
         .Port_DirectionChangeable = FALSE,
         .Port_PinModeChangeable = FALSE,
         .Port_PinLevelValue = PORT_PIN_LEVEL_HIGH,
         .Port_PinDirection = PORT_PIN_DEFAULT,
         .Port_PinInitialMode =  PORT_PIN_MODE_MCAN0,
         .Port_PullTypeSelect = PORT_PIN_PULLTYPE_PULLDOWN,
         .Port_PinHSmasterEnable = FALSE,
         .Port_PinHSmodeEnable = FALSE,
         .Port_InversionSelect = PORT_INVTYPE_DEFAULT,
         .Port_QualifierTypeSelect = PORT_QUALTYPE_DEFAULT,
         .Port_SlewControl = PORT_PIN_SLEWCONTROL_SLOW_SLEW,
         .Port_NumPortModes = 1,
         .Port_PinMode =
         {            [0] =
            {
                .mode = PORT_PIN_MODE_MCAN0,

                .muxmode = 0,
            },
         },
         .Port_PinDioRegId = PORT_DIO_INVALID_REG_ID, /* GPIO register index is 0 based */
         .Port_PinDioChannelId = PORT_DIO_INVALID_REG_ID,
         .Port_RegOffsetAddr = PINM1_MCAN0_RX,
         .Port_PinSignalName = (const sint8 *)"MCAN0_RX",
         .Port_PinName        = (const sint8 *)"PIN_M1",
         .Port_PinSetEdgeTrigger = FALSE,
         .Port_PinSelectEdgeTrigger = PORT_RISING_EDGE,
    },
    {
         .Port_PinId = 107,
         .Port_PullInhibitEnable = PORT_PIN_PULL_INHIBIT_DISABLE,
         .Port_OutputOverride_Ctrl = PORT_PIN_OUTPUT_RETAIN_HW_CTRL,
         .Port_InputOverride_Ctrl = PORT_PIN_INPUT_RETAIN_HW_CTRL,
         .Port_DirectionChangeable = FALSE,
         .Port_PinModeChangeable = FALSE,
         .Port_PinLevelValue = PORT_PIN_LEVEL_HIGH,
         .Port_PinDirection = PORT_PIN_DEFAULT,
         .Port_PinInitialMode =  PORT_PIN_MODE_MCAN0,
         .Port_PullTypeSelect = PORT_PIN_PULLTYPE_PULLDOWN,
         .Port_PinHSmasterEnable = FALSE,
         .Port_PinHSmodeEnable = FALSE,
         .Port_InversionSelect = PORT_INVTYPE_DEFAULT,
         .Port_QualifierTypeSelect = PORT_QUALTYPE_DEFAULT,
         .Port_SlewControl = PORT_PIN_SLEWCONTROL_SLOW_SLEW,
         .Port_NumPortModes = 1,
         .Port_PinMode =
         {            [0] =
            {
                .mode = PORT_PIN_MODE_MCAN0,

                .muxmode = 0,
            },
         },
         .Port_PinDioRegId = PORT_DIO_INVALID_REG_ID, /* GPIO register index is 0 based */
         .Port_PinDioChannelId = PORT_DIO_INVALID_REG_ID,
         .Port_RegOffsetAddr = PINL1_MCAN0_TX,
         .Port_PinSignalName = (const sint8 *)"MCAN0_TX",
         .Port_PinName        = (const sint8 *)"PIN_L1",
         .Port_PinSetEdgeTrigger = FALSE,
         .Port_PinSelectEdgeTrigger = PORT_RISING_EDGE,
    },
    {
         .Port_PinId = 61,
         .Port_PullInhibitEnable = PORT_PIN_PULL_INHIBIT_DISABLE,
         .Port_OutputOverride_Ctrl = PORT_PIN_OUTPUT_RETAIN_HW_CTRL,
         .Port_InputOverride_Ctrl = PORT_PIN_INPUT_RETAIN_HW_CTRL,
         .Port_DirectionChangeable = FALSE,
         .Port_PinModeChangeable = FALSE,
         .Port_PinLevelValue = PORT_PIN_LEVEL_HIGH,
         .Port_PinDirection = PORT_PIN_OUT,
         .Port_PinInitialMode =  PORT_PIN_MODE_EPWM1,
         .Port_PullTypeSelect = PORT_PIN_PULLTYPE_PULLDOWN,
         .Port_PinHSmasterEnable = FALSE,
         .Port_PinHSmodeEnable = FALSE,
         .Port_InversionSelect = PORT_INVTYPE_DEFAULT,
         .Port_QualifierTypeSelect = PORT_SYNC_QUAL,
         .Port_SlewControl = PORT_PIN_SLEWCONTROL_SLOW_SLEW,
         .Port_NumPortModes = 1,
         .Port_PinMode =
         {            [0] =
            {
                .mode = PORT_PIN_MODE_EPWM1,

                .muxmode = 0,
            },
         },
         .Port_PinDioRegId = PORT_DIO_INVALID_REG_ID, /* GPIO register index is 0 based */
         .Port_PinDioChannelId = PORT_DIO_INVALID_REG_ID,
         .Port_RegOffsetAddr = PIND3_EPWM1_A,
         .Port_PinSignalName = (const sint8 *)"EPWM1_A",
         .Port_PinName        = (const sint8 *)"PIN_D3",
         .Port_PinSetEdgeTrigger = FALSE,
         .Port_PinSelectEdgeTrigger = PORT_RISING_EDGE,
    },
    {
         .Port_PinId = 27,
         .Port_PullInhibitEnable = PORT_PIN_PULL_INHIBIT_DISABLE,
         .Port_OutputOverride_Ctrl = PORT_PIN_OUTPUT_RETAIN_HW_CTRL,
         .Port_InputOverride_Ctrl = PORT_PIN_INPUT_RETAIN_HW_CTRL,
         .Port_DirectionChangeable = FALSE,
         .Port_PinModeChangeable = FALSE,
         .Port_PinLevelValue = PORT_PIN_LEVEL_HIGH,
         .Port_PinDirection = PORT_PIN_OUT,
         .Port_PinInitialMode =  PORT_PIN_MODE_EPWM0,
         .Port_PullTypeSelect = PORT_PIN_PULLTYPE_PULLUP,
         .Port_PinHSmasterEnable = FALSE,
         .Port_PinHSmodeEnable = FALSE,
         .Port_InversionSelect = PORT_INVTYPE_DEFAULT,
         .Port_QualifierTypeSelect = PORT_SYNC_QUAL,
         .Port_SlewControl = PORT_PIN_SLEWCONTROL_SLOW_SLEW,
         .Port_NumPortModes = 1,
         .Port_PinMode =
         {            [0] =
            {
                .mode = PORT_PIN_MODE_EPWM0,

                .muxmode = 0,
            },
         },
         .Port_PinDioRegId = PORT_DIO_INVALID_REG_ID, /* GPIO register index is 0 based */
         .Port_PinDioChannelId = PORT_DIO_INVALID_REG_ID,
         .Port_RegOffsetAddr = PINB2_EPWM0_A,
         .Port_PinSignalName = (const sint8 *)"EPWM0_A",
         .Port_PinName        = (const sint8 *)"PIN_B2",
         .Port_PinSetEdgeTrigger = FALSE,
         .Port_PinSelectEdgeTrigger = BOTH_EDGE,
    },
    {
         .Port_PinId = 21,
         .Port_PullInhibitEnable = PORT_PIN_PULL_INHIBIT_DISABLE,
         .Port_OutputOverride_Ctrl = PORT_PIN_OUTPUT_RETAIN_HW_CTRL,
         .Port_InputOverride_Ctrl = PORT_PIN_INPUT_RETAIN_HW_CTRL,
         .Port_DirectionChangeable = FALSE,
         .Port_PinModeChangeable = FALSE,
         .Port_PinLevelValue = PORT_PIN_LEVEL_HIGH,
         .Port_PinDirection = PORT_PIN_OUT,
         .Port_PinInitialMode =  PORT_PIN_MODE_EPWM2,
         .Port_PullTypeSelect = PORT_PIN_PULLTYPE_PULLUP,
         .Port_PinHSmasterEnable = FALSE,
         .Port_PinHSmodeEnable = FALSE,
         .Port_InversionSelect = PORT_INVTYPE_DEFAULT,
         .Port_QualifierTypeSelect = PORT_SYNC_QUAL,
         .Port_SlewControl = PORT_PIN_SLEWCONTROL_SLOW_SLEW,
         .Port_NumPortModes = 1,
         .Port_PinMode =
         {            [0] =
            {
                .mode = PORT_PIN_MODE_EPWM2,

                .muxmode = 0,
            },
         },
         .Port_PinDioRegId = PORT_DIO_INVALID_REG_ID, /* GPIO register index is 0 based */
         .Port_PinDioChannelId = PORT_DIO_INVALID_REG_ID,
         .Port_RegOffsetAddr = PINC2_EPWM2_A,
         .Port_PinSignalName = (const sint8 *)"EPWM2_A",
         .Port_PinName        = (const sint8 *)"PIN_C2",
         .Port_PinSetEdgeTrigger = FALSE,
         .Port_PinSelectEdgeTrigger = BOTH_EDGE,
    },
    {
         .Port_PinId = 119,
         .Port_PullInhibitEnable = PORT_PIN_PULL_INHIBIT_DISABLE,
         .Port_OutputOverride_Ctrl = PORT_PIN_DISABLE_OUTPUT_OVERRIDE,
         .Port_InputOverride_Ctrl = PORT_PIN_DISABLE_INPUT_OVERRIDE,
         .Port_DirectionChangeable = FALSE,
         .Port_PinModeChangeable = FALSE,
         .Port_PinLevelValue = PORT_PIN_LEVEL_HIGH,
         .Port_PinDirection = PORT_PIN_DEFAULT,
         .Port_PinInitialMode =  PORT_PIN_MODE_CLKOUT,
         .Port_PullTypeSelect = PORT_PIN_PULLTYPE_PULLDOWN,
         .Port_PinHSmasterEnable = FALSE,
         .Port_PinHSmodeEnable = FALSE,
         .Port_InversionSelect = PORT_INVTYPE_DEFAULT,
         .Port_QualifierTypeSelect = PORT_QUALTYPE_DEFAULT,
         .Port_SlewControl = PORT_PIN_SLEWCONTROL_FAST_SLEW,
         .Port_NumPortModes = 1,
         .Port_PinMode =
         {            [0] =
            {
                .mode = PORT_PIN_MODE_CLKOUT,

                .muxmode = 0,
            },
         },
         .Port_PinDioRegId = PORT_DIO_INVALID_REG_ID, /* GPIO register index is 0 based */
         .Port_PinDioChannelId = PORT_DIO_INVALID_REG_ID,
         .Port_RegOffsetAddr = PINM2_CLKOUT0,
         .Port_PinSignalName = (const sint8 *)"CLKOUT0",
         .Port_PinName        = (const sint8 *)"PIN_M2",
         .Port_PinSetEdgeTrigger = FALSE,
         .Port_PinSelectEdgeTrigger = PORT_RISING_EDGE,
    },
    {
         .Port_PinId = 63,
         .Port_PullInhibitEnable = PORT_PIN_PULL_INHIBIT_DISABLE,
         .Port_OutputOverride_Ctrl = PORT_PIN_OUTPUT_RETAIN_HW_CTRL,
         .Port_InputOverride_Ctrl = PORT_PIN_INPUT_RETAIN_HW_CTRL,
         .Port_DirectionChangeable = FALSE,
         .Port_PinModeChangeable = FALSE,
         .Port_PinLevelValue = PORT_PIN_LEVEL_HIGH,
         .Port_PinDirection = PORT_PIN_DEFAULT,
         .Port_PinInitialMode =  PORT_PIN_MODE_I2C1,
         .Port_PullTypeSelect = PORT_PIN_PULLTYPE_PULLDOWN,
         .Port_PinHSmasterEnable = FALSE,
         .Port_PinHSmodeEnable = FALSE,
         .Port_InversionSelect = PORT_INVTYPE_DEFAULT,
         .Port_QualifierTypeSelect = PORT_QUALTYPE_DEFAULT,
         .Port_SlewControl = PORT_PIN_SLEWCONTROL_SLOW_SLEW,
         .Port_NumPortModes = 1,
         .Port_PinMode =
         {            [0] =
            {
                .mode = PORT_PIN_MODE_I2C1,

                .muxmode = 0,
            },
         },
         .Port_PinDioRegId = PORT_DIO_INVALID_REG_ID, /* GPIO register index is 0 based */
         .Port_PinDioChannelId = PORT_DIO_INVALID_REG_ID,
         .Port_RegOffsetAddr = PIND7_I2C1_SCL,
         .Port_PinSignalName = (const sint8 *)"I2C1_SCL",
         .Port_PinName        = (const sint8 *)"PIN_D7",
         .Port_PinSetEdgeTrigger = FALSE,
         .Port_PinSelectEdgeTrigger = PORT_RISING_EDGE,
    },
    {
         .Port_PinId = 50,
         .Port_PullInhibitEnable = PORT_PIN_PULL_INHIBIT_DISABLE,
         .Port_OutputOverride_Ctrl = PORT_PIN_OUTPUT_RETAIN_HW_CTRL,
         .Port_InputOverride_Ctrl = PORT_PIN_INPUT_RETAIN_HW_CTRL,
         .Port_DirectionChangeable = FALSE,
         .Port_PinModeChangeable = FALSE,
         .Port_PinLevelValue = PORT_PIN_LEVEL_HIGH,
         .Port_PinDirection = PORT_PIN_DEFAULT,
         .Port_PinInitialMode =  PORT_PIN_MODE_I2C1,
         .Port_PullTypeSelect = PORT_PIN_PULLTYPE_PULLDOWN,
         .Port_PinHSmasterEnable = FALSE,
         .Port_PinHSmodeEnable = FALSE,
         .Port_InversionSelect = PORT_INVTYPE_DEFAULT,
         .Port_QualifierTypeSelect = PORT_QUALTYPE_DEFAULT,
         .Port_SlewControl = PORT_PIN_SLEWCONTROL_SLOW_SLEW,
         .Port_NumPortModes = 1,
         .Port_PinMode =
         {            [0] =
            {
                .mode = PORT_PIN_MODE_I2C1,

                .muxmode = 0,
            },
         },
         .Port_PinDioRegId = PORT_DIO_INVALID_REG_ID, /* GPIO register index is 0 based */
         .Port_PinDioChannelId = PORT_DIO_INVALID_REG_ID,
         .Port_RegOffsetAddr = PINC8_I2C1_SDA,
         .Port_PinSignalName = (const sint8 *)"I2C1_SDA",
         .Port_PinName        = (const sint8 *)"PIN_C8",
         .Port_PinSetEdgeTrigger = FALSE,
         .Port_PinSelectEdgeTrigger = PORT_RISING_EDGE,
    },
};

/*<PORT_PIN_CONFIGURATION>*/
static CONST( Port_DioRegConfigType, PORT_PBCFG) PortConfigSet_0_DioConfig[] =
{
    [0] =
    {
         .Port_DioRegId = (4 - 1U), /* Dio Register is 0 based index */
         .Port_BankInterruptEnable = 3,
    },
};

/*</PORT_PIN_CONFIGURATION>*/
CONST(Port_ConfigType, PORT_PBCFG) PortConfigSet_0 =
{
    .NumberOfPortPins = 28,
    .PinConfig_pt = PortConfigSet_0_PinConfig,
    .NumberOfGPIORegs = 1,
    .DioConfig_pt = PortConfigSet_0_DioConfig,
};

#define PORT_STOP_SEC_CONFIG_DATA
#include "Port_MemMap.h"


/**********************************************************************************************************************
 *  END OF FILE: Port_PBcfg.c                                                                                         *
 **********************************************************************************************************************/



